sensorfw: GyroscopeAdaptor Class Reference

sensorfw

Static Public Member Functions | Protected Member Functions | List of all members
GyroscopeAdaptor Class Reference

Adaptor for internal gyroscope. More...

`#include <gyroscopeadaptor.h>`

Inheritance diagram for GyroscopeAdaptor:

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of this adaptor class. More...

## Protected Member Functions
| GyroscopeAdaptor (const QString &id)
| Constructor. More...
| ~GyroscopeAdaptor ()
| Destructor. More...
bool | setInterval (const unsigned int value, const int sessionId)
unsigned int | interval () const

## Detailed Description

Adaptor for internal gyroscope.

Adaptor for internal gyroscope. Uses SysFs driver interface in polling mode, i.e. values are read with given constant interval.

Driver interface is located in /sys/class/i2c-adapter/?????? .

- angular_rate filehandle provides measurement values.

No other filehandles are currently in use by this adaptor.

Definition at line 43 of file gyroscopeadaptor.h.

## Constructor & Destructor Documentation

## ◆ GyroscopeAdaptor()

GyroscopeAdaptor::GyroscopeAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Protected to force externals to use factory method.

Parameters

  id | Identifier for the adaptor.

## ◆ ~GyroscopeAdaptor()

GyroscopeAdaptor::~GyroscopeAdaptor | ( |  | ) |
| protected

Destructor.

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor* GyroscopeAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of this adaptor class.

Parameters

  id | Identifier for the adaptor.

Returns
  A pointer to created adaptor with base class type.

Definition at line 53 of file gyroscopeadaptor.h.

## ◆ interval()

unsigned int GyroscopeAdaptor::interval | ( |  | ) | const
| protected

## ◆ setInterval()

bool GyroscopeAdaptor::setInterval | ( | const unsigned int | value,
|  | const int | sessionId
| ) |  |
| protected

The documentation for this class was generated from the following file:

- adaptors/gyroscopeadaptor/gyroscopeadaptor.h